Loading...
Searching...
No Matches
Opm::gpuistl::detail::has_communication< T > Class Template Reference

The has_communication class checks if the type has the member function getCommunication. More...

`#include <has_function.hpp>`

## Static Public Attributes

static constexpr bool | value = std::is_same_v<decltype(test<T>(0)), std::true_type>

## Detailed Description

template<typename T>
class Opm::gpuistl::detail::has_communication< T >

The has_communication class checks if the type has the member function getCommunication.

This is used in the SolverAdapter to check if the operator has a communication, and it will then select a different path accordingly.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/gpuistl/detail/has_function.hpp